SET work_mem = '4GB';
SET random_page_cost = '1';
SET effective_cache_size = '36GB';
EXPLAIN (ANALYZE,BUFFERS)              SELECT
                *
            FROM (
                SELECT
                    "l"."person_id" AS "person_id",
                    "l"."criterion_id" AS "criterion_id",
                    "l"."criterion_table" AS "criterion_table",
                    "l"."criterion_domain" AS "criterion_domain",
                    "l"."start_date" AS "start_date",
                    "l"."end_date" AS "end_date",
                    "l"."source_value" AS "source_value",
                    "l"."source_vocabulary_id" AS "source_vocabulary_id",
                    "l"."drug_amount" AS "drug_amount",
                    "l"."drug_amount_units" AS "drug_amount_units",
                    "l"."drug_days_supply" AS "drug_days_supply",
                    "l"."drug_name" AS "drug_name",
                    "l"."drug_quantity" AS "drug_quantity",
                    "l"."uuid" AS "uuid",
                    "l"."window_id" AS "window_id"
                FROM (
                    SELECT
                        "l"."person_id" AS "person_id",
                        "l"."criterion_id" AS "criterion_id",
                        "l"."criterion_table" AS "criterion_table",
                        "l"."criterion_domain" AS "criterion_domain",
                        "l"."start_date" AS "start_date",
                        "l"."end_date" AS "end_date",
                        "l"."source_value" AS "source_value",
                        "l"."source_vocabulary_id" AS "source_vocabulary_id",
                        "l"."drug_amount" AS "drug_amount",
                        "l"."drug_amount_units" AS "drug_amount_units",
                        "l"."drug_days_supply" AS "drug_days_supply",
                        "l"."drug_name" AS "drug_name",
                        "l"."drug_quantity" AS "drug_quantity",
                        "l"."uuid" AS "uuid",
                        "l"."window_id" AS "window_id"
                    FROM (
                        SELECT
                            "person_id" AS "person_id",
                            "criterion_id" AS "criterion_id",
                            "criterion_table" AS "criterion_table",
                            "criterion_domain" AS "criterion_domain",
                            "start_date" AS "start_date",
                            "end_date" AS "end_date",
                            "source_value" AS "source_value",
                            "source_vocabulary_id" AS "source_vocabulary_id",
                            "drug_amount" AS "drug_amount",
                            "drug_amount_units" AS "drug_amount_units",
                            "drug_days_supply" AS "drug_days_supply",
                            "drug_name" AS "drug_name",
                            "drug_quantity" AS "drug_quantity",
                            "uuid" AS "uuid",
                            "window_id" AS "window_id"
                        FROM
                            "jigsaw_temp"."jtemp1c37l3b_baseline_windows_after_inclusion") AS "l") AS "l"
                WHERE (EXISTS (
                        SELECT
                            1
                        FROM (
                            SELECT
                                "r"."uuid" AS "uuid"
                            FROM (
                                SELECT
                                    "uuid" AS "uuid",
                                    CAST(NULL AS float) AS "drug_amount",
                                    CAST(NULL AS text) AS "drug_amount_units",
                                    CAST(NULL AS bigint) AS "drug_days_supply",
                                    CAST(NULL AS text) AS "drug_name",
                                    CAST(NULL AS float) AS "drug_quantity",
                                    CAST(NULL AS integer) AS "window_id",
                                    "person_id" AS "person_id",
                                    "criterion_id" AS "criterion_id",
                                    "criterion_table" AS "criterion_table",
                                    "criterion_domain" AS "criterion_domain",
                                    "start_date" AS "start_date",
                                    "end_date" AS "end_date"
                                FROM
                                    "jigsaw_temp"."jtemp1c37l3b_baseline_windows_with_collections") AS "r"
                                GROUP BY "r"."uuid") AS "r"

                        WHERE ("l"."uuid" = "r"."uuid")))) AS "match_2"
